Bug 502299 - KMix doesn't unmute correctly
KMix doesn't unmute correctly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdemultimedia (Show other bugs)
11
i686 Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-23 06:16 EDT by Stefano Tortarolo
Modified: 2009-12-30 13:34 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 07:33:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of alsa-info.sh --no-upload (14.92 KB, text/plain)
2009-05-23 06:16 EDT, Stefano Tortarolo
no flags Details
Output of amixer -c0 when sound doesn't work (1.45 KB, text/plain)
2009-05-23 06:17 EDT, Stefano Tortarolo
no flags Details
Output of amixer -c0 when sound works (1.46 KB, text/plain)
2009-05-23 06:19 EDT, Stefano Tortarolo
no flags Details

  None (edit)
Description Stefano Tortarolo 2009-05-23 06:16:38 EDT
Created attachment 345188 [details]
Output of alsa-info.sh --no-upload

Description of problem:
If sound is muted at boot kmix doesn't unmute it.
I must use alsamixer, press 'm' twice to mute/unmute and kmix is again able to handle mute/unmute correctly.

Version-Release number of selected component (if applicable):
$ kmix -v
Qt: 4.5.0
KDE: 4.2.3 (KDE 4.2.3)
KMix: 3.5


How reproducible:
Always

Steps to Reproduce:
1. Mute sound using kmix
2. Reboot
3. Unmute sound using kmix
3. Play something => no sound
4. Run alsamixer and press 'm' twice to mute/unmute
5. Play something => sound and kmix can mute/unmute
  
Actual results:
Kmix is not able to unmute sound if it was muted in a previous session, even though osd notifications appear correctly.

Expected results:
Kmix should be able to unmute sound without requiring manual unmuting using alsamixer.
Comment 1 Stefano Tortarolo 2009-05-23 06:17:27 EDT
Created attachment 345189 [details]
Output of amixer -c0 when sound doesn't work
Comment 2 Stefano Tortarolo 2009-05-23 06:19:04 EDT
Created attachment 345190 [details]
Output of amixer -c0 when sound works

Except for volume thresholds it doesn't seem to be anything different from amixer_c0_nosound
Comment 3 Rex Dieter 2009-05-23 08:42:45 EDT
I cannot reproduce, as I leave my sound muted almost all the time (esp on login), and unmuting works fine... *most* of the time.

The few times it hasn't it was PulseAudio doing funky things. These cases of PA wierdness were usually after a suspect/resume.  I either had to run pavucontrol and mute/unmute things all over, to get it to work again, or pavucontrol would simply report my output device as "Null" (logout/login and/or killing and auto restarting PA helped me).

Any of that sound familiar?
Comment 4 Stefano Tortarolo 2009-05-23 13:48:19 EDT
Sadly, no. This doesn't happen after a suspend/resume but after a simple reboot.
By the way, I have just installed pavucontrol and muting/unmuting made it work again (same behaviour as alsamixer though).

The fact that this happens only if sound was muted in the previous session makes me wonder if something weird gets stored somewhere. (If so, the next question would be: what and where?)
Comment 5 Steven M. Parrish 2009-05-29 21:12:12 EDT
Please report this issue upstream at http://bugs.kde.org and also please add
the upstream information to this report.  We will monitor upstream for a
resolution.
Comment 6 Bug Zapper 2009-06-09 12:25:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Steven M. Parrish 2009-07-22 07:33:48 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 lanx 2009-12-30 10:28:30 EST
I have similar situation on Fedora 12 every KDE 4.x versions.
Sometimes sound is muted after restart and can't be unmuted with kmix
I must use gnome-volume-control to unmute it.

But it must have something in common with gnome, because
when gnome-volume-control is running kmix can mute the sound only
unmute doesn't work

How to reproduce:
1. Open Gnome sound preferences gnome-volume-control
2. Mute sound using kmix
3. Unmute sound using kmix 
    kmix shows that sound is unmuted but gnome-volume-control show it's muted
4. Play something => no sound
Comment 9 Rex Dieter 2009-12-30 11:25:49 EST
I'd venture PA flat volumes may have something to do with it.

When these problem occur, please use pavucontrol to double-check PA volumes.
Comment 10 lanx 2009-12-30 13:34:31 EST
Seem's OK with pavucontrol.
I took my camera and shoot 2 short problem presentations
(files can be downloaded 10 times only)

http://rapidshare.com/files/328051394/gnome-volume.avi.html
http://rapidshare.com/files/328052614/pavucontrol.avi.html

Note You need to log in before you can comment on or make changes to this bug.